Il y a neuf ans, Google présentait Android Jelly Bean au monde. Désormais, les services Google Play d’Android Jelly Bean prendront fin, selon le blog Android Development. Android Jelly Bean n’a pour l’instant qu’une base d’utilisateurs actifs de moins de 1%.

Maintenant, ce n’est pas trop surprenant. Beaucoup de choses ont changé dans le monde d’Android depuis la version 4 du système d’exploitation populaire. Avec les nouvelles mises à jour, de nombreuses nouvelles fonctionnalités et améliorations sont arrivées sur Android. Malheureusement, toutes ces fonctionnalités et améliorations n’ont pas été intégrées à Jelly Bean.

En conséquence, Google arrêtera les services Google Play pour Android Jelly Bean. Le maintien des services augmentera le temps de développement et d’assurance qualité consacré aux nouvelles fonctionnalités. Donc, si vous êtes un développeur, vous vous demandez peut-être comment cela vous affecte.

Heureusement, la version actuelle du SDK des services Google Play est déjà présente sur les appareils Jelly Bean. Tant que les appareils exécutant Jelly Bean disposent des services Google Play, ils continueront de fonctionner normalement. De plus, chaque version du SDK peut être publiée indépendamment.

Les services Google Play d’Android Jelly Bean ne recevront aucune nouvelle mise à jour

En outre, ils peuvent mettre à jour leur propre minSdkVersion. Heureusement, pour les développeurs d’applications, les bibliothèques individuelles n’auront pas à changer en raison de cette dépréciation. Les niveaux d’API 16 et 18 fonctionneront avec les nouveaux composants SDK.

Cependant, si un développeur conserve ses applications prenant en charge les API 16 et 18, il peut rencontrer des erreurs de génération pour ses applications. Dans cet esprit, il sera avantageux pour les développeurs d’utiliser l’API de niveau 19 ou supérieur.

Il y a plusieurs choses que les développeurs peuvent faire pour se faciliter la vie. À l’avenir, ce sera une bonne idée pour les développeurs d’utiliser l’API de niveau 19 au moins lorsqu’ils commenceront le développement. Bien sûr, ce n’est qu’une recommandation de Google. Mais, encore une fois, cela rendra la vie des développeurs beaucoup plus facile.

Les développeurs peuvent simplement augmenter le minSdkVersion à 19 afin d’interrompre la prise en charge des niveaux d’API qui ne sont plus pris en charge. Maintenant, en faisant cela, les utilisateurs avec des appareils qui prennent en charge n’importe quelle API ci-dessous qui ne pourront pas télécharger la nouvelle mise à jour.

Cependant, ces utilisateurs pourront profiter de la version actuelle. La deuxième chose que les développeurs peuvent faire est de créer plusieurs APK pour prendre en charge les appareils avec un niveau d’API inférieur à 19. Cela peut être un peu plus de travail, mais cela donnera aux utilisateurs d’appareils plus anciens la possibilité de télécharger des mises à jour.

Sur le blog des développeurs Android, il explique un peu plus en détail comment procéder. Android existe depuis longtemps. Honnêtement, les services Jelly Bean Google Play pris en charge aussi longtemps sont incroyables. Cependant, Jelly Bean est tout simplement trop ancien pour prendre en charge de nouvelles fonctionnalités. Ça a été un beau voyage cependant.

LAISSER UN COMMENTAIRE

S'il vous plaît entrez votre commentaire!
S'il vous plaît entrez votre nom ici